Bug 470834 - usermode-gtk userpasswd issue with pam rule
usermode-gtk userpasswd issue with pam rule
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 10:26 EST by Traxtopel
Modified: 2009-05-06 09:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 11:20:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Traxtopel 2008-11-10 10:26:47 EST
usermode-gtk command userpasswd will not allow a password to be changed,.
We use the following rule in system-auth.

# system-auth
password    requisite     pam_passwdqc.so min=disabled,8,8,8,8 passphrase=0 enforce=users

Trying to change password using userpasswd, it prompts for password, enter correct existing password then exits. Never prompts for new password.

I see this issue on both fedora9/10
Comment 1 Miloslav Trmač 2008-11-11 11:20:49 EST
Fixed in rawhide usermode-1.99-1.  Thanks for your report.
Comment 2 Traxtopel 2008-11-12 03:27:32 EST
Tested, indeed works.
Comment 3 Traxtopel 2009-05-06 03:30:58 EDT
I know this was fixed in 1.99 any idea when this will make its way as an update?
Comment 4 Miloslav Trmač 2009-05-06 08:02:18 EDT
The bug was filed against rawhide, so I was not planning to make an update.  What Fedora release do you need it fixed in?
Comment 5 Traxtopel 2009-05-06 09:46:02 EDT
Thats ok Fedora 11, is fine, thanks,.

Note You need to log in before you can comment on or make changes to this bug.